/*------------- FONT -------------*/
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 100;
    src: url(../font/KFOkCnqEu92Fr1MmgVxIIzI.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 300;
    src: url(../font/KFOlCnqEu92Fr1MmSU5fBBc4.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url(../font/KFOmCnqEu92Fr1Mu4mxK.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 500;
    src: url(../font/KFOlCnqEu92Fr1MmEU9fBBc4.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    src: url(../font/KFOlCnqEu92Fr1MmWUlfBBc4.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 900;
    src: url(../font/KFOlCnqEu92Fr1MmYUtfBBc4.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/*------------- FONT -------------*/



/*------------- BODY -------------*/
html, body {

    position: absolute;
    top: 0;
    right: 0;
    margin: 0;
    padding: 0;
    width: 100% !important;
    min-height: 100% !important;
    height: fit-content;
    overflow-x: hidden;
    overflow-y: auto;
    font-family: 'Roboto', sans-serif;
    font-weight: 400;
    background-color: #ffffff;
    box-sizing: border-box;

}
*{

    font-family: 'Roboto', sans-serif;
    box-sizing: border-box;
    margin: 0px;
    padding: 0px;
    border: 0px;
    
}
.unselectable{

    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;

    -webkit-user-drag: none;
    -khtml-user-drag: none;
    -moz-user-drag: none;
    -o-user-drag: none;

    -webkit-touch-callout: none;
    -webkit-tap-highlight-color: transparent;

    pointer-events: none;

}
/*------------- BODY -------------*/


.root_container{

    display: block;
    max-width: 580px;
    width: auto;
    height: auto;
    margin: 0px auto;
    padding: 0px;
    background-color: #ffffff;

}
.root_header{

    display: block;
    width: 100%;
    height: auto;
    margin: 0px;
    padding: 20px;
    background-color: #ffffff;
    border: 0px;
    border-bottom: 1px solid #e5e5e5;

}
.root_header__img{

    display: block;
    width: 100%;
    height: auto;
    background-color: #ffffff;

}
.root_main{

    display: block;
    width: 100%;
    height: auto;
    margin: 0px;
    padding: 20px;
    background-color: #ffffff;

}
.root_main__h1{

    display: block;
    width: auto;
    height: auto;
    margin: 0px;
    padding: 0px;
    font-size: 20px;
    font-weight: 400;
    color: #000000;

}


/*-- GALLERY --*/
.root_carousel{

    display: none;
    position: relative;
    width: 100%;
    height: auto;
    padding: 0px;
    margin: 0px;
    margin-top: 20px;
    border: 0px;
    background-color: transparent;

}
.root_carousel.active{

    display: block;

}
.root_main__gallery{

    display: block;
    position: relative;
    width: 100%;
    height: auto;
    aspect-ratio: 1;
    padding: 0px;
    margin: 0px;
    border: 1px solid #d5d5d5;
    box-shadow: inset 0 0 0 1px #d5d5d5;
    overflow-y: hidden;
    overflow-x: hidden;
    scrollbar-width: none;
    border-bottom: 0px;

}
.root_main__gallery__holder{

    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0px;
    left: 0px;
    z-index: 2;
    border: 0px;
    background-color: transparent;
    cursor: pointer;
    -webkit-tap-highlight-color: transparent;

}
.root_main__gallery__list{

    display: flex;
    flex-direction: row;
    gap: 0px;
    position: relative;
    width: 100%;
    height: 100%;
    padding: 0px;
    margin: 0px;
    border: 0px;
    z-index: 1;
    
}
.root_main__gallery__list__element{

    display: block;
    position: relative;
    width: 100%;
    height: auto;
    aspect-ratio: 1;
    padding: 0px;
    margin: 0px;
    border: 0px;
    flex-shrink: 0;

}
.root_main__gallery__list__element__img{

    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    padding: 0px;
    margin: 0px;
    border: 0px;
    object-fit: cover;
    object-position: center;

}
.root_main__gallery_progress {
  position: relative;
  width: 100%;
  height: 4px;
  background-color: #d5d5d5;
  overflow: hidden;
  padding: 0px;
  margin: 0px;
  border: 0px;
}
.root_main__gallery_progress__bar {
  width: 0%;
  height: 100%;
  background-color: #0078ff;
}
.bar_active {
    animation: galleryProgress 5s linear forwards;
}
@keyframes galleryProgress {
    from { width: 0%; }
    to { width: 100%; }
}
.root_main__gallery_controls{

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 0px;
    width: 100%;
    height: auto;
    padding: 0px;
    margin: 0px;
    border: 0px;

}
.root_main__gallery_controls__button{

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    flex-grow: 1;
    width: auto;
    height: fit-content;
    padding: 20px;
    margin: 0px;
    border: 0px;
    cursor: pointer;
    background-color: #ffffff;
    border: 1px solid #d5d5d5;
    border-top: 0px;

}
.root_main__gallery_controls__button:last-of-type{ border-left: 0px; }
.root_main__gallery_controls__button__span{

    display: block;
    width: auto;
    height: auto;
    font-size: 16px;
    font-weight: 400;
    line-height: 1;
    padding: 0px;
    margin: 0px;
    border: 0px;
    color: #000000;

}
.root_main__gallery_controls__button__svg{

    display: block;
    width: auto;
    height: 14px;
    margin-left: 10px;
    fill: #000000;

}
.reverse_svg{ transform: rotateZ(180deg); margin-left: 0px; margin-right: 10px; }
/*-- GALLERY --*/


/*-- LINKS --*/
.root_main__nav{

    display: block;
    width: 100%;
    height: auto;
    margin: 0px;
    padding: 20px 0px;

}
.root_main__nav__item{

    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100%;
    height: 55px;
    padding: 0px;
    margin: 0px;
    margin-bottom: 20px;
    background-color: #ffffff;
    border: 0px;
    cursor: pointer;
    overflow: hidden;
    text-decoration: none;

}
.root_main__nav__item:last-of-type{ 
    
    margin-bottom: 0px;

}
.root_main__nav__item__div{

    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #0f62fe;
    min-width: 55px;
    max-width: 55px;
    width: 55px;
    height: 100%;
    padding: 0px;
    margin: 0px;
    border: 0px;
    overflow: hidden;
    text-decoration: none;
    
}
.root_main__nav__item__div__svg{

    display: block;
    width: 50%;
    height: auto;
    max-height: 50%;
    padding: 0px;
    margin: 0px;
    fill: #ffffff;
    text-decoration: none;

}
.root_main__nav__item__span{

    display: flex;
    align-items: center;
    width: 100%;
    height: 100%;
    padding: 0px 15px;
    margin: 0px;
    border: 1px solid #d5d5d5;
    border-left: 0px;
    font-size: 16px;
    font-weight: 400;
    color: #000000;
    text-decoration: none;

}
/*-- LINKS --*/


/*-- DROPDOWN --*/
.root_main__nav__dropdown{

    display: block;
    width: 100%;
    height: auto;
    padding: 0px;
    margin: 0px;
    margin-bottom: 20px;
    outline: none;
    border: 0px;

}
.root_main__nav__dropdown__label{

    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100%;
    height: 55px;
    padding: 0px;
    margin: 0px;
    background-color: #ffffff;
    border: 0px;
    cursor: pointer;
    overflow: hidden;
    text-decoration: none;

}
.root_main__nav__dropdown__label__input{

    display: none;
    width: 0px;
    height: 0px;
    opacity: 0;

}
.root_main__nav__dropdown__label__div{

    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #0f62fe;
    min-width: 55px;
    max-width: 55px;
    width: 55px;
    height: 100%;
    padding: 0px;
    margin: 0px;
    border: 0px;
    overflow: hidden;
    text-decoration: none;

}
.root_main__nav__dropdown__label__div__svg{

    display: block;
    width: 50%;
    height: auto;
    max-height: 50%;
    padding: 0px;
    margin: 0px;
    fill: #ffffff;
    text-decoration: none;

}
.root_main__nav__dropdown__label__text{

    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    width: 100%;
    height: 100%;
    padding: 0px 15px;
    margin: 0px;
    border: 1px solid #d5d5d5;
    border-left: 0px;

}
.root_main__nav__dropdown__label__text__span{

    display: block;
    font-size: 16px;
    font-weight: 400;
    color: #000000;
    text-decoration: none;
    flex-grow: 1;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;

}
.root_main__nav__dropdown__label__text__svg{

    display: block;
    width: 14px;
    height: auto;
    padding: 0px;
    margin: 0px;
    fill: #555555;

}
.root_main__nav__dropdown__label__text__svg.rotate{

    transform: rotate(180deg);

}
.root_main__nav__dropdown__content{

    display: none;
    width: 100%;
    height: auto;
    padding: 20px;
    margin: 0px;
    border: 1px solid #d5d5d5;
    border-top: 0px;

}
.root_main__nav__dropdown__content.show{

    display: block;

}
.root_main__nav__dropdown__content__title{

    display: block;
    width: 100%;
    height: auto;
    padding: 0px;
    margin: 0px;
    margin-bottom: 10px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-size: 15px;
    font-weight: 500;
    color: #555555;

}
.root_main__nav__dropdown__content__title.marginTop{

    margin-top: 20px;

}
.root_main__nav__dropdown__content__nav{

    display: grid;
    grid-template-columns: 1fr;
    gap: 0px;
    width: 100%;
    height: auto;
    padding: 0px;
    margin: 0px;

}
.root_main__nav__dropdown__content__nav__item{

    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 55px;
    padding: 0px 20px;
    margin: 0px;
    border: 1px solid #d5d5d5;
    overflow: hidden;
    cursor: pointer;

}
.root_main__nav__dropdown__content__nav__item:last-of-type{

    border-top: 0px;

}
.root_main__nav__dropdown__content__nav__item__img{

    display: block;
    width: auto;
    height: 30px;
    padding: 0px;
    margin: 0px;
    object-fit: contain;

}
.root_main__nav__dropdown__content__nav__item__img.facebook_logo{

    height: 25px;

}
.root_main__nav__dropdown__content__nav__item__svg{

    display: block;
    width: auto;
    height: 16px;
    padding: 0px;
    margin: 0px;
    fill: #0f62fe;

}
/*-- DROPDOWN --*/


/*-- REVIEW --*/
.root_main__nav__dropdown__content__review{

    display: block;
    grid-template-columns: 1fr;
    gap: 0px;
    width: 100%;
    height: auto;
    padding: 0px;
    margin: 0px;
    border: 1px solid #e5e5e5;

}
.root_main__nav__dropdown__content__review__textarea{

    display: block;
    width: 100%;
    height: auto;
    min-height: 70px;
    padding: 10px;
    margin: 0px;
    font-size: 14px;
    color: #000000;
    font-weight: 400;
    outline: none;
    resize: none;
    line-height: 1.6;
    -webkit-user-select: text;
    -moz-user-select: text;
    -ms-user-select: text;
    user-select: text;

}
.root_main__nav__dropdown__content__review__options{

    display: flex;
    flex-wrap: wrap;
    gap: 0px;
    width: 100%;
    height: auto;
    padding: 0px;
    margin: 0px;
    border: 0px;
    border-top: 1px solid #e5e5e5;

}
.root_main__nav__dropdown__content__review__options__input{

    display: block;
    width: auto;
    height: 40px;
    padding: 0px 15px;
    margin: 0px;
    flex-grow: 1;
    outline: none;
    border: 0px;
    border-right: 1px solid #e5e5e5;

}
.root_main__nav__dropdown__content__review__options__select{

    display: block;
    width: 60px;
    height: 40px;
    padding: 0px 15px;
    margin: 0px;
    outline: none;
    border: 0px;
    cursor: pointer;

}
.root_main__nav__dropdown__content__review__options__btn{

    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    width: 50%;
    height: 40px;
    padding: 0px;
    margin: 0px;
    background-color: transparent;
    outline: none;
    border: 0px;
    border-top: 1px solid #e5e5e5;
    cursor: pointer;

}
.root_main__nav__dropdown__content__review__options__btn:last-child{

    border-left: 1px solid #e5e5e5;

}
.root_main__nav__dropdown__content__review__options__btn.flash{

    background-color: #e5f4ff;
    color: #0078ff;

}
.root_main__nav__dropdown__content__review__options__btn.flash .root_main__nav__dropdown__content__review__options__btn__svg{

    fill: #0078ff;

}
.root_main__nav__dropdown__content__review__options__btn__svg{

    display: block;
    width: auto;
    height: 45%;
    margin: 0px;

}
/*-- REVIEW --*/


.root_footer{

    display: block;
    width: 100%;
    height: auto;
    padding: 20px;
    margin: 0px;
    background-color: #f5f5f5;

}
.root_footer__p{

    display: block;
    width: 100%;
    height: auto;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.6;
    color: #555555;

}
/*--------------------- LOADER ---------------------*/
.media_loader{

    display: none;
    position: absolute;
    top: calc(50% - 20px);
    left: calc(50% - 20px);
    transform: translate(-50%, -50%);
    width: 40px;
    height: 40px;
    padding: 0px;
    margin: 0px;
    animation: animation_media_loader 1s linear infinite;
    z-index: 1;

}
.media_loader__circle{ fill: #f5f5f5; }
.media_loader__halfcircle{ fill: #0f62fe; }
@keyframes animation_media_loader{
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.root_carousel.active .media_loader{ display: block; }
/*--------------------- LOADER ---------------------*/